Show / Hide Table of Contents

# Class ConfigProvider

A wrapper for an IConfigProvider and the FileInfo to use with it.

##### Inheritance

Object
ConfigProvider

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Config

###### Assembly: IPA.Loader.dll

##### Syntax

    public class ConfigProvider

### Methods

| Improve this Doc View Source

#### Load()

Loads a Value from disk in whatever format this provider provides and returns it.

##### Declaration

    public Value Load()

##### Returns

Type | Description
--- | ---
Value | the Value loaded

| Improve this Doc View Source

#### Store(Value)

Stores the Value given to disk in the format specified.

##### Declaration

    public void Store(Value value)

##### Parameters

Type | Name | Description
--- | --- | ---
Value | value | the Value to store

### Extension Methods

ReflectionUtil.SetField<T, U>(T, String, U)
ReflectionUtil.GetField<U, T>(T, String)
ReflectionUtil.SetProperty<T, U>(T, String, U)
ReflectionUtil.GetProperty<U, T>(T, String)
ReflectionUtil.InvokeMethod<U, T>(T, String, Object[])